[Overview][Classes][Procedures and functions][Index] | Reference for unit 'Spin' (#lcl)

# TFloatSpinEdit.OnChange

The OnChange event is fired when the value for the spin edit has changed.

## Declaration

Source position: spin.pp line 119

`published property TFloatSpinEdit.OnChange : TNotifyEvent;`

## Description

OnChange event is similar to TCustomEdit.OnChange, and is signalled for changes made by the user and for changes made in code. A change is a modification which will cause the text displayed on the screen by the control to be altered. This corresponds to a change in the Value property for the control. The event is called after the change takes place, so Value will already have the new property value.

## See also

TCustomEdit.OnChange |  | Event handler signalled when the text for the control is changed.
TSpinEdit.OnChange |  | The OnChange event is fired when the spin edit value has changed.